#ifndef CNGGGPS_FUNCTION_SUB
#define CNGGGPS_FUNCTION_SUB

#include "Function.hpp"
#include "Result.hpp"

/**
 * \brief Subtraction function.
 * \author Stephen E. Baker
 * \date 2006-2007
 * \version 1.0
 */
class FSub:public Function
{
public:
	FSub();
	
	/**
	 * Finds the difference of two arguments.
	 * 
	 * \param[in] context
	 * 	Unused
	 * \return
	 * 	The sum
	 *
	 * \sa
	 * 	Grammar::execute
	 * \sa
	 * 	Function::addArgument
	 */
	Result* execute(Context &context);

	/**
	 * \sa
	 * 	Grammar::clone
	 */
	Grammar* clone();
	~FSub();
};

#endif
