#ifndef CNGGGPS_GRAMMAR_EXPRESSION
#define CNGGGPS_GRAMMAR_EXPRESSION

#include <ostream>
#include "Result.hpp"
#include "Grammar.hpp"

/**
 * \brief Expression Symbol.
 * \author Stephen E. Baker
 * \date 2006-2007
 * \version 1.0
 */
class GExpr: public Grammar
{
public:
	GExpr();

	/**
	 * \sa
	 * 	Grammar::execute
	 */
	Result* execute(Context &context);	

	/**
	 * \sa
	 * 	Grammar::toString
	 */
	std::string toString(Context &context);

	/**
	 * \sa
	 * 	Grammar::clone
	 */
	Grammar* clone();

	~GExpr();
private:
};


#endif
