#include <iostream>
#include "Context.hpp"

using namespace std;

Context::Context()
{
}

void Context::clear()
{
	
	for(map<string,Result*>::iterator it = mapArguments.begin(); it != mapArguments.end(); it++)
	{
		delete (it->second);
	}
	mapArguments.clear();
}

void Context::setArgumentValue(string strArgument, Result* resValue)
{
	mapArguments[strArgument] = resValue;
}

Result* Context::getArgumentValue(string strArgument)
{
	return mapArguments[strArgument];
}

vector<string> Context::getKeys() const
{
	vector<string> vstrKeys;
	for(map<string,Result*>::const_iterator it = mapArguments.begin(); it != mapArguments.end(); it++)
	{
		vstrKeys.push_back(it->first);
	}

	return vstrKeys;
}

Context::~Context()
{
	for(map<string,Result*>::iterator it = mapArguments.begin(); it != mapArguments.end(); it++)
	{
		delete (it->second);
	}
}
