#include <iostream>
#include <sstream>
#include "GTerm.hpp"
#include "Function.hpp"

using namespace std;

GTerm::GTerm()
{
	strGrammarID = "TERM";
	pvpgramExpression = NULL;
}

Result* GTerm::execute(Context &context)
{
	Result* pres = pvpgramExpression->at(0)->execute(context);
	return pres;
}

string GTerm::toString(Context &context)
{
	stringstream ssTerm (stringstream::out);
	ssTerm << (pvpgramExpression->at(0)->toString(context));	
	return ssTerm.str();
}

Grammar* GTerm::clone()
{
	Grammar* pgeClone = new GTerm();
	Grammar::clone(pgeClone);
	return pgeClone;
}

GTerm::~GTerm()
{
}

