#ifndef CNGGGPS_GRAMMAR_TERMINAL
#define CNGGGPS_GRAMMAR_TERMINAL

#include <string>
#include <ostream>
#include "Result.hpp"
#include "Grammar.hpp"

/**
 * \brief Terminal Symbol.
 * \author Stephen E. Baker
 * \date 2006-2007
 * \version 1.0
 */
class GTerm: public Grammar
{
public:
	GTerm();

	/**
	 * \sa
	 * 	Grammar::execute
	 */
	Result* execute(Context &context);

	/**
	 * \sa
	 * 	Grammar::toString
	 */
	std::string toString(Context &context);
	
	/**
	 * \sa
	 * 	Grammar::clone
	 */
	Grammar* clone();
	
	~GTerm();
private:
};


#endif
